
-- local  ACCOUNT_IP_REMOTE = "192.168.1.109"          --帐户服IP
-- local    ACCOUNT_PORT_REMOTE = 2210
local  ACCOUNT_IP_REMOTE = "203.195.189.249"          --帐户服IP
local  ACCOUNT_PORT_REMOTE = 4000
-- local  ACCOUNT_PORT_REMOTE = 1111
---

MOBI_PRIVATE_KEY = "b5cd81794a627789b3c03df969e97241"

require ("app.data.DefObjectId")
require ("app.data.LimitDef")

gStorePath = device.writablePath 

SOCKET_EXPIRE_TIMES   =30    --网络超时时间
DEF_CHECK_SERV_MESSAGE = 50  --多久向服务器请求一次消息,相当于心跳

--全局函数
BitUtil       = require("bit")
DebugUtil     = require("app.common.DebugUtil")
CommUtil      = require("app.common.CommUtil")
PowerUtil     = require("app.common.PowerUtil")
MessageUtil   = require("app.common.MessageUtil")
TimeUtil      = require("app.common.TimeUtil")
DeviceUtil    = require("app.common.DeviceUtil")
FileUtil      = require("app.common.FileUtil")
BusInterface  = require("app.common.BusInterface")
LocalDataUtil = require("app.common.LocalDataUtil")
BeautyUtil    = require("app.common.BeautyBody")
CustomerStep  = require("app.common.CustomerStep")
Number        = require("app.common.Number")
Attributes    = require("app.common.Attributes")
--
--template表
gCountDown         = require("app.common.CountDown").new()
gBeautyTmp         = require("app.data.template.BeautyTemplateClass").new()
gCharmTmp          = require("app.data.template.CharmTemplateClass").new()
gRankTmp           = require("app.data.template.RankTemplateClass").new()
gFloridTmp         = require("app.data.template.FloridTemplateClass").new()
gFloridWhisperTmp  = require("app.data.template.FloridWhisperTemplateClass").new()
gParameterTemplate = require("app.data.template.ParameterTemplateClass").new()
gHeroTemplate      = require("app.data.template.HeroTemplateClass").new()
gEquipmentTemplate = require("app.data.template.EquipmentTemplateClass").new()
gPromotionTemplate = require("app.data.template.PromotionTemplateClass").new()
gInheritTemplate   = require("app.data.template.InheritTemplateClass").new()
gExpTemplate       = require("app.data.template.ExpTemplateClass").new()
gItemTemplate      = require("app.data.template.ItemTemplateClass").new()
gLvlupTemplate     = require("app.data.template.LvlupTemplateClass").new()
gTowerTemplate     = require("app.data.template.TowerTemplateClass").new()
gBoxTemplate       = require("app.data.template.BoxTemplateClass").new()
gTreasureTemplate  = require("app.data.template.TreasureTemplateClass").new()
gTotemTemplate     = require("app.data.template.TotemTemplateClass").new()
gPassTemplate      = require("app.data.template.PassTemplateClass").new()
gHeroStarTemplate  = require("app.data.template.HeroStarTemplateClass").new()
gEquipStarTemplate = require("app.data.template.EquipStarTemplateClass").new()
--通信协议
gSockCmd = require("app.protocal.protocal_cmd")
--全局变量
gVar                 = require("app.data.GlobalVarClass").new()
gBeauty              = require("app.data.BeautyClass").new()
gAltar               = require("app.data.AltarClass").new()
gVip                 = require("app.data.VipClass").new()
gClimb               = require("app.data.ClimbClass").new()
gPlayer              = require("app.data.PlayerClass").new()
gHero                = require("app.data.HeroClass").new()
gBoss                = require("app.data.BossClass").new()
gEquip               = require("app.data.EquipmentClass").new()
gItem                = require("app.data.ItemClass").new()
gFriend              = require('app.data.FriendClass').new() 
gNTower              = require('app.data.NTowerClass').new() 
gBattle              = require('app.data.BattleClass').new() 
gAppVersion          = require('app.data.AppVersion')
gWelfare             = require('app.data.WelfareClass').new()
gEnergyRollbackTimer = require('app.common.EnergyRollbackTimer').new()
gPass                = require("app.data.PassClass").new()
gActivity            = require('app.data.ActivityClass').new()
gPVPMenu             = require("app.data.PVPMenuClass").new()
gTotem               = require("app.data.TotemClass").new()
gTeacher             = require('app.data.TeacherClass').new()
gOnlineGiftTimer     = require("app.common.OnlineGiftTimer").new()
gRank                = require("app.data.RankClass").new()
gTask                = require('app.data.TaskClass').new()
gSkillLvl            = require('app.data.SkillLvlClass').new()
--临时模拟数据
gFoster = require("app.data.FosterConfig")
require("app.data.ButtonData")

--用户信息保存文件夹

--网络通信
gSock = require("app.sock.SockClient")

unique_code_logining=os.time()

--模拟器连接服务端2


if (RELEASE_PLATFORM == "emulator" or RELEASE_PLATFORM == "test") then
    -- ACCOUNT_IP, ACCOUNT_PORT = "203.195.163.129", 5000  --内测1服
    -- ACCOUNT_IP, ACCOUNT_PORT = "182.254.152.60" , 5000  --内测2服
    ACCOUNT_IP, ACCOUNT_PORT = "118.192.87.97"  , 5000  --公测1服
    -- ACCOUNT_IP, ACCOUNT_PORT = "192.168.1.109"  , 5000  --本地测试服:zqh
    -- ACCOUNT_IP, ACCOUNT_PORT = "192.168.1.109"  , 9876  --本地测试服:hjc
    --ACCOUNT_IP, ACCOUNT_PORT = "192.168.1.109"  , 2222  --本地测试服:yx
else
    --真机发布IP地址
    if ACCOUNT_MODE == "xiaomi" then
        ACCOUNT_IP = "203.195.189.249"          --帐户服IP
        ACCOUNT_PORT = 4000 
    elseif ACCOUNT_MODE == "dlc" then
        ACCOUNT_IP =  "118.192.87.94"
        ACCOUNT_PORT = 4000
    elseif ACCOUNT_MODE == "qihoo" then
        ACCOUNT_IP =  "118.192.87.94"
        ACCOUNT_PORT = 4001
    elseif ACCOUNT_MODE == "uc" then
        ACCOUNT_IP =  "118.192.75.189"
        ACCOUNT_PORT = 4000
    else
        ACCOUNT_IP =  "192.168.1.109"
        ACCOUNT_PORT = 1222
    end
end

--HTTP相关协议（帐户,投诉建议）连接IP
if RELEASE_PLATFORM == "auto_update" then
    HTTP_ACCOUNT_IP = "118.192.87.94"       --HTTP相关协议（帐户,投诉建议）连接IP
elseif RELEASE_PLATFORM == "android" then
    HTTP_ACCOUNT_IP = "192.168.1.109"
else
    HTTP_ACCOUNT_IP = "192.168.1.109"
end


--滑动条
SCROLL_LEFT_INTER_WIDTH = 18   			--左边间距
SCROLL_BOTTOM_INTER_HEIGHT = 10			--底边间距
SECOND_SCROLL_RECT = CCRectMake(
	CommUtil.getBlankWidth()+SCROLL_LEFT_INTER_WIDTH, 
	display.bottom + SCROLL_BOTTOM_INTER_HEIGHT,
	DEF_CONFIG_SCREEN_WIDTH-SCROLL_LEFT_INTER_WIDTH*2,
	390)
DEF_RECT_WIDTH = DEF_CONFIG_SCREEN_WIDTH-SCROLL_LEFT_INTER_WIDTH*2
--系统广播由1000开始
BROAD_CAST_1 = 1000

--二级界面tag
BEAUTY_MENU_TAG        = 500
BEAUTY_DETAIL_MENU_TAG = 501
ALTAR_MENU_TAG         = 502
TOTEM_MENU_TAG         = 504


pre_resource_list = 
{
        {"ani/pve/tower/tower.plist","ani/pve/tower/tower.pvr.ccz"},
        {"ani/ui/guide_area.plist","ani/ui/guide_area.pvr.ccz"},
        {"ani/pve/beauty/beauty.plist","ani/pve/beauty/beauty.pvr.ccz"},--妹子动作
        {"PendingAperture.plist","PendingAperture.png"},
        {"quanquan.plist","quanquan.png"},
        {"ani/pve/beauty/beauty.plist","ani/pve/beauty/beauty.pvr.ccz"},
        {"ani/ui/guide_circle.plist","ani/ui/guide_circle.pvr.ccz"},
        {"glod.plist","glod.pvr.ccz"},
        {"ui/equipment_item.plist","ui/equipment_item.pvr.ccz"},
        {"sea_npc.plist","sea_npc.pvr.ccz"},
}

DEF_SEC_WINDOW_X = display.cx+219
DEF_SEC_WINDOW_Y = display.cy+180
--
xScale = display.width/800
yScale = display.height/480
tower_base_radius = 171.5
if_need_guide = false
if_need_change_scene = false
bossType = -1
bossDecreaseTotalHP = 0
DISABLE_HERO_SKILL = false

addSkillIds = {}
lastHelpSceneId = nil
helpTowerPositions = {} --前15关卡好友助战塔

killYellowMonsterNum = 0



cclog = function(...)
    print("mobi2us:" .. ...)
end